Cccam/Oscam script

Toor
Standard User
Posts: 56
Joined: 04 Jan 2019 10:51

Cccam/Oscam script

Unread postby Toor » 11 Feb 2020 08:39

Salutare,am un receptor E2 Linux modest si as dori sa testez pe el atat cccam dar cat si combinatia cccam+oscam.
Asadar,rog frumos cunoscatorii cu un script cccam/oscam dar si script doar cccam.Folosesc OpenAtv.
Pe partea de script oscam ma descurc insa combinat nu.
User avatar
allsattnt
Standard User
Posts: 200
Joined: 07 Dec 2014 19:15

Re: Cccam/Oscam script

Unread postby allsattnt » 11 Feb 2020 09:30

Rugam sa ne spui tipul receptorului,altfel....
E prima data cand traiesc,asa ca e omeneste sa mai si gresesc!
Toor
Standard User
Posts: 56
Joined: 04 Jan 2019 10:51

Re: Cccam/Oscam script

Unread postby Toor » 11 Feb 2020 11:12

altfel....ce? Pana la urma conteaza receptorul sau imaginea,respectiv scriptul pentru imaginea folosita?
Receptorul e un vuplus zero...asta daca conteaza.
User avatar
zmeura
Site Admin
Posts: 4440
Joined: 10 Sep 2013 20:42

Re: Cccam/Oscam script

Unread postby zmeura » 11 Feb 2020 17:47

Posteaza aici scriptul de la oscam si denumirea exacta a binului pentru cccam (sau daca e denumit cccam_xxx il poti redenumi doar cccam sa fie mai simplu).
Binul cccam sa fie in var/bin (sau usr/bin) unde e si cel de oscam si sa aiba si el atribut 755.
Pornim de la acel script si adaugam cccam.
.
"Sa fie bine ca sa nu fie rau"
Toor
Standard User
Posts: 56
Joined: 04 Jan 2019 10:51

Re: Cccam/Oscam script

Unread postby Toor » 11 Feb 2020 18:43

Code: Select all

#!/bin/sh
### BEGIN INIT INFO
# Provides:          softcam
# Required-Start:    $local_fs
# Required-Stop:     
# Should-Start:      $time $remote_fs cardserver
# Should-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: oscam
# Description:       oscam SoftCAM, card reader and server.
### END INIT INFO

readlink -f $0 >/dev/null 2>&1
if [ $? -eq 0 ]; then
   CAM=$(basename $(readlink -f $0) | sed s#^softcam\.##)
else
   CAM=$(basename $0 | sed s#^softcam\.##)
fi

[ -n "$CAM" ] || exit 1
[ -x /usr/bin/$CAM ] || exit 1

PIDFILE=/var/tmp/${CAM}.pid
DESC="Softcam service $CAM"
DAEMON=/usr/bin/$CAM

case "$1" in
start)
   if [ -e $PIDFILE ]; then
      PIDDIR=/proc/$(cat $PIDFILE)
      if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
         echo "$DESC already started; not starting."
         exit 1
      else
         rm -f $PIDFILE
      fi
   fi
   echo -n "Starting $DESC: "
   ulimit -s 1024
   $DAEMON --config-dir /etc/tuxbox/config/$CAM --daemon --pidfile $PIDFILE --restart 2 --utf8 2| grep -v "UTF-8 mode"
   sleep 0.5
   RETVAL=1
   [ -e $PIDFILE ] && RETVAL=0
   if [ "$RETVAL" -eq "0" ]; then
      echo "OK"
   else
      echo "FAILED"
   fi
   exit $RETVAL
   ;;
stop)
   echo -n "Stopping $DESC: "
   kill `cat $PIDFILE 2> /dev/null` 2> /dev/null
   RETVAL=$?
   if [ "$RETVAL" -eq "0" ]; then
      echo "OK"
   else
      echo "FAILED"
   fi
   sleep 1
   killall $CAM 2> /dev/null
   exit $RETVAL
   ;;
restart|reload)
   $0 stop
   sleep 1
   $0 start
   exit $?
   ;;
status)
   echo -n "$DESC: "
   if [ -e $PIDFILE ]; then
      PIDDIR=/proc/$(cat $PIDFILE)
      if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
         echo "Running."
         exit 0
      fi
   fi
   echo "Stopped."
   exit 1
   ;;
version)
   $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
   ;;
info)
   $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
   ;;
*)
   echo "Usage: $0 start|stop|restart|status"
   exit 1
   ;;
esac
exit 0

si Cccam

Code: Select all

#!/bin/sh
case "$1" in
start)
    ulimit -s 1024
    exec start-stop-daemon -S -x /usr/bin/CCcam
    ;;
stop)
    exec start-stop-daemon -K -R 2 -x /usr/bin/CCcam
    ;;
restart|reload)
    $0 stop
    sleep 1
    $0 start
    ;;
version)
    echo "2.3.2"
    ;;
info)
    echo "CCcam 2.3.2"
    ;;
*)
    echo "Usage: $0 start|stop|restart"
    exit 1
    ;;
esac
exit 0


Locatie script,/etc/init.d
Locatie CCcam.cfg/etc
Locatie bin CCcam,/usr/bin(denumire-CCcam)
Locatie bin oscam,/usr/bin(denumire-oscam-stable)
User avatar
zmeura
Site Admin
Posts: 4440
Joined: 10 Sep 2013 20:42

Re: Cccam/Oscam script

Unread postby zmeura » 11 Feb 2020 19:29

Creaza inca un script cu ce denumire vrei (pe cele vechi le lasi si poti porni cu ele separat oscam sau cccam), gen Oscam-CCcam si incearca cu asta. Vezi daca pornesc ambele.
Altfel ideea e ca oscam sa porneasca inaintea cccam ca sa ai dvbapi (decodarea locala) de la el activ, sa nu apuce cccam sa foloseasca dvbapi-ul receptorului. De asta am setat sleep10, sper ca merge pe Vu si pe ce imagine e.
Daca cumva vrei sa folosesti cccam la decodare inversezi liniile, lasi sleep intre ele. Am uitat sa te intreb de ce vrei combinatia ca sa stiu care sa porneasca primul, asa porneste oscam si el e baza.

Code: Select all

#!/bin/sh
case "$1" in
start)
    ulimit -s 1024
    exec start-stop-daemon -S -x /usr/bin/oscam-stable
    sleep 10
    exec start-stop-daemon -S -x /usr/bin/CCcam
    ;;
stop)
    exec start-stop-daemon -K -R 2 -x /usr/bin/CCcam
    sleep 2
    exec start-stop-daemon -K -R 2 -x /usr/bin/oscam-stable
    ;;
restart|reload)
    $0 stop
    sleep 10
    $0 start
    ;;
version)
    echo "2.3.2"
    ;;
info)
    echo "Oscam/CCcam"
    ;;
*)
    echo "Usage: $0 start|stop|restart"
    exit 1
    ;;
esac
exit 0

.
"Sa fie bine ca sa nu fie rau"
User avatar
ASiX88796
Site Admin
Posts: 2280
Joined: 12 Oct 2013 17:02
Location: Timișoara

Re: Cccam/Oscam script

Unread postby ASiX88796 » 11 Feb 2020 19:53

»
Ține cont de câteva lucruri foarte importante din setări:
- nu porni ambele cu dvbapi activ
- nu porni ambele pe același port/porturi
- nu porni ambele cu aceleași readere active
___________________________ ____ ___ __ _
» Mulţi vorbesc, puţini comunică.

Return to “CCcam”

Who is online

Users browsing this forum: No registered users and 0 guests